View Issue Details

IDProjectCategoryExploit/GlitchLast Update
0003939Battlefield 1PhysicsNo2017-09-05 16:00
ReporterAnthonio 
SeverityMinorReproducibility@[email protected] 
Status FixedResolutionFixed 
PlatformPCOSWindows 
Product VersionUI Update 05182017 
Fixed in VersionUpdate 05092017 - In the Name of the Tsar Update 
Summary0003939: Flamer can be vulnerable to fire
DescriptionWhen entering any vehicle (horse, transport, tank and plane) the flamer class loses its fire protection.

Thanks to ADSEQUOR in the battlelog forums for finding this bug.
Steps To ReproduceGrab the flamer class kit
Jump in any vehicle and exit it again
Fire protection gets removed and you can burn yourself with the wex flamethrower, inc grenade, environmental fires.

Relationships

has duplicate 0003942 Closed Flametrooper loses armor and incendiary immunity 
has duplicate 0003986 Closed Flamethrower bug 

Activities

Spitfire

2017-07-07 16:43


  ~0004485

Issue also happens in stationary weapons, as technically they also are vehicles (ss https://www.bftracker.com/view.php?id=3942)

Anthonio

2017-08-22 06:49

User
  ~0004867

tested this out in the lupkow pass update and it has been fixed